with import ./network.nix; {
  networking = {
    extraHosts = ''
      ${architect-wg} architect.devs.giugl.io
      ${galuminum-wg}        galuminum.devs.giugl.io
      ${oneplus-wg}  oneplus.devs.giugl.io
      ${ipad-wg}     ipad.devs.giugl.io
      ${manduria-wg} manduria.devs.giugl.io
      ${antonio-wg}  antonio.devs.giugl.io
      ${gbeast-wg}   gbeast.devs.giugl.io
      ${parisaphone-wg}      parisa-phone.devs.giugl.io
      ${parisapc-wg} parisa-pc.devs.giugl.io
      ${peppiniell-wg}       peppiniell.devs.giugl.io
      ${padulino-wg} padulino.devs.giugl.io
      ${shield-wg}   shield.devs.giugl.io
      ${pepos-wg}        pepos.devs.giugl.io
      ${eleonora-wg} eleonora.devs.giugl.io
      ${angellane-wg}       angellane.devs.giugl.io
      ${hotpottino-wg}       hotpottino.devs.giugl.io
      ${salvatore-wg}         salvatore.devs.giugl.io
      ${papa-wg}            papa.devs.giugl.io
      ${defy-wg}            defy.devs.giugl.io
      ${germano-wg}         germano.devs.giugl.io
      ${dodino-wg}          dodino.devs.giugl.io
      ${tommy-wg}           tommy.devs.giugl.io
      ${alain-wg}           alain.devs.giugl.io
      ${dima-wg}            dima.devs.giugl.io
      ${mikey-wg}           mikey.devs.giugl.io
      ${andrew-wg}          andrew.devs.giugl.io
      ${mikeylaptop-wg}     mikeylaptop.devs.giugl.io
      ${wolfsonhouse-wg}    wolfsonhouse.devs.giugl.io
      ${frznn-wg}           frznn.devs.giugl.io
      ${ludo-wg}            ludo.devs.giugl.io
    '';

    wireguard = {
      interfaces.${proxy-if} = {
        ips = [ "10.4.0.2/32" ];
        privateKeyFile = "/secrets/wireguard/proxy.key";
        peers = [{
          publicKey = "WmJBpXpYebcmJEF8nVTKMqQK01KyBe42vzc38K66rVs=";
          allowedIPs = [ "10.4.0.1/32" ];
          endpoint = "giugl.io:1195";
          persistentKeepalive = 21;
        }];
      };

      interfaces.${vpn-if} = {
        listenPort = 1194;
        ips = [ "10.3.0.1/24" ];
        privateKeyFile = "/secrets/wireguard/server.key";

        peers = [
          {
            # gAluminum
            allowedIPs = [ galuminum-wg ];
            publicKey = "pEEgSs7xmO0cfyvoQlU8lfwqdYM1ISgmPAunPtF+0xw=";
          }

          {
            # OnePlus
            allowedIPs = [ oneplus-wg ];
            publicKey = "zynSERy6VhxN5zBf1ih3BOAHxvigDixHB9YKnSBgYFs=";
          }

          {
            # iPad
            allowedIPs = [ ipad-wg ];
            publicKey = "DPpd+P/hV1XLuvdcrCRv1sgz8BeZt1y5D6VehNuhjSQ=";
          }

          {
            # Manduria
            allowedIPs = [ manduria-wg ];
            publicKey = "wT38oXvDQ8g0hI+pAXQobOWf/Wott2zhwo8TLvXK400=";
          }

          {
            # Antonio
            allowedIPs = [ antonio-wg ];
            publicKey = "SPndCvEzuLHtGAQV8u/4dfLlFHoPcXS3L98oFOwTljc=";
          }

          {
            # Eleonora
            allowedIPs = [ eleonora-wg ];
            publicKey = "SL54f1ZeieFyn5X5UAPmypP10GV/c419O94vCzGHFhg=";
          }

          {
            # padulino
            allowedIPs = [ padulino-wg ];
            publicKey = "sk2Wr2OesND9jcuP/8k7BirSpR4pNNbS9gBkbOxZxwg=";
          }

          {
            # GBEAST
            allowedIPs = [ gbeast-wg ];
            publicKey = "XiK+wk+DErz0RmCWRxuaJN1cvdj+3DoiU6tcR+uZfAI=";
          }

          {
            # parisa-phone
            allowedIPs = [ parisaphone-wg ];
            publicKey = "MGdaRMmsik7SLRUsijS0TctcKUD6Tnr7XugGJClTCC4=";
          }

          {
            # parisa-pc
            allowedIPs = [ parisapc-wg ];
            publicKey = "b2QzZDTgGQbNXSCLYB4KUzq0/099pH2T8H5BckfNSTQ=";
          }

          {
            # peppiniell
            allowedIPs = [ peppiniell-wg ];
            publicKey = "bzoW3Rx+7Un9hx/2opgBQJmmnZ/hgj1lQ2FnonCHjTc=";
          }

          {
            # angellane
            allowedIPs = [ angellane-wg ];
            publicKey = "MZ+nZklHpBxTL7QN9QJpBBx7yOYRZLONfvqAnuk85x0=";
          }

          {
            # hotpottino
            allowedIPs = [ hotpottino-wg ];
            publicKey = "YqtzTWqGBs2GwSPNO0aRSV4nvJDW3UHHt6fV4UC7vnU=";
          }

          {
            # shield
            allowedIPs = [ shield-wg ];
            publicKey = "1GaV/M48sHqQTrBVRQ+jrFU2pUMmv2xkguncVcwPCFs=";
          }

          {
            # pepos
            allowedIPs = [ pepos-wg ];
            publicKey = "mb1VaMLML5J24oCMBuhqvBrT6S4tAqWERn30z+h/LwM=";
          }

          {
            # salvatore
            allowedIPs = [ salvatore-wg ];
            publicKey = "fhlnBHeMyHZKLUCTSA9kmkKoM5x/qzz/rnCJrUh3Gzs=";
          }

          {
            # papa
            allowedIPs = [ papa-wg ];
            publicKey = "oGHygt02Oni3IFbScKD0NVEfHKCp6bpw68aq5g4RrAA=";
          }

          {
            # defy
            allowedIPs = [ defy-wg ];
            publicKey = "Cvi/eto7E6Ef+aiL81ou7x12fJCeuXrf/go9fxEqXG4=";
          }

          {
            # germano
            allowedIPs = [ germano-wg ];
            publicKey = "gi4o+pZWKItzVs7vY8fvXh98jX6CNeCwc1YDzhc3mA4=";
          }

          {
            # flavio
            allowedIPs = [ flavio-wg ];
            publicKey = "Yg0P+yHi/9SZHyoel8jT9fmmu+irLYmT8yMp/CZoaSg=";
          }

          {
            # dodino
            allowedIPs = [ dodino-wg ];
            publicKey = "JHkqlADQpY1CUcivraG9i6rIzCzLVFcl8HP5uIk35lk=";
          }

          {
            # tommy
            allowedIPs = [ tommy-wg ];
            publicKey = "tytknU7wql1d0A2provX3RP7CNcEIajfgBJKoSyVLgo=";
          }

          {
            # alain
            allowedIPs = [ alain-wg ];
            publicKey = "/o2msFJoUL4yovcIQJTU8c1faFtekrjSBBWJABouWno=";
          }

          {
            # dima
            allowedIPs = [ dima-wg ];
            publicKey = "svzWYIZ6v+cLCp/emGG7mx2YpBJqw2fqjVuHZy7b6H0=";
          }

          {
            # wolfsonhouse
            allowedIPs = [ wolfsonhouse-wg ];
            publicKey = "UJRJcAOcnEjEB3o4K2I7gEM97SrhENEesZNf28z+EBQ=";
          }

          {
            # mikey
            allowedIPs = [ mikey-wg ];
            publicKey = "ewbDdX3z7nxG2aPIf9TogXkhxPlGipLFcy6XfyDC6gI=";
          }

          {
            # andrew
            allowedIPs = [ andrew-wg ];
            publicKey = "LP/FgST9fmBQSoKQFq9sFGvjRFOtRooMcuEcjuqaoWM=";
          }

          {
            # mikey laptop
            allowedIPs = [ mikeylaptop-wg ];
            publicKey = "kz/pY/PgV+dwF1JZ2It4r5B5QfRSQM7HkbFCdvd5Yxk=";
          }

          {
            # andrew desktop
            allowedIPs = [ andrewdesktop-wg ];
            publicKey = "rpYr3JNLIzxpxzFuQuaHFEl/XvPEPfwLbDETBP8KYXI=";
          }

          {
            # laptop desktop
            allowedIPs = [ jacopo-wg ];
            publicKey = "W/taWI79bPIKOolVVu5xZfiJnPw9K91Xn1zhcM0+4g0=";
          }

          {
            # frznn
            allowedIPs = [ frznn-wg ];
            publicKey = "dXcrdME6VnnE5PBYwvUmayf7cn2wpcExeCR9gIXOO0o=";
          }

          {
            # ludo
            allowedIPs = [ ludo-wg ];
            publicKey = "ecrxdzx7tQZwMPxZOjHUvxZT2xY79B6XEDIW+fhEtEM=";
          }
        ];
      };
    };
  };
}
